function [ids_tf_out,ids_tf_out_description] =  tcv_get_ids_tf(shot, ids_tf_empty,varargin)
%
% [ids_tf_out] =  tcv_get_ids_tf(shot, ids_tf_empty,varargin);
%
% Get the vacuum toroidal field
%
% ids_tf_empty should at least be the empty tf ids structure in input
%

ids_tf_out = ids_tf_empty;

[ids_tf_out, params_tf] = tcv_ids_headpart(shot, ids_tf_empty,'tf','homogeneous_time',0,varargin{:});

tmp = gdat(shot, 'b0');
if ~ischar(tmp.data)
  ids_tf_out.b_field_tor_vacuum_r.data = tmp.data; 
  ids_tf_out.b_field_tor_vacuum_r.time = tmp.t;
  ids_tf_out.r0 = tmp.r0;
  ids_tf_out_description.b_field_tor_vacuum_r.data = ' gdat(shot, ''b0'')';
  ids_tf_out_description.r0 = ' b0.r0 from gdat(shot, ''b0'')';
else
  % leave defaults
  ids_tf_out_description = struct([]);
end
